Index: code/branches/presentation2/src/modules/objects/Attacher.cc
===================================================================
--- code/branches/presentation2/src/modules/objects/Attacher.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/objects/Attacher.cc	(revision 6394)
@@ -98,5 +98,5 @@
         this->target_ = 0;
 
-        if (this->targetname_ == "")
+        if (this->targetname_.empty())
             return;
 
@@ -113,5 +113,5 @@
     void Attacher::loadedNewXMLName(BaseObject* object)
     {
-        if (this->target_ || this->targetname_ == "")
+        if (this->target_ || this->targetname_.empty())
             return;
 
Index: code/branches/presentation2/src/modules/objects/eventsystem/EventFilter.cc
===================================================================
--- code/branches/presentation2/src/modules/objects/eventsystem/EventFilter.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/objects/eventsystem/EventFilter.cc	(revision 6394)
@@ -62,5 +62,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventFilter \"" << this->getName() << "\"" << std::endl;
+            COUT(2) << "Warning: Detected Event loop in EventFilter \"" << this->getName() << '"' << std::endl;
             return;
         }
Index: code/branches/presentation2/src/modules/objects/eventsystem/EventListener.cc
===================================================================
--- code/branches/presentation2/src/modules/objects/eventsystem/EventListener.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/objects/eventsystem/EventListener.cc	(revision 6394)
@@ -58,5 +58,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventListener \"" << this->getName() << "\"" << std::endl;
+            COUT(2) << "Warning: Detected Event loop in EventListener \"" << this->getName() << '"' << std::endl;
             return;
         }
@@ -71,5 +71,5 @@
         this->eventName_ = eventname;
 
-        if (this->eventName_ == "")
+        if (this->eventName_.empty())
             return;
 
@@ -81,5 +81,5 @@
     void EventListener::loadedNewXMLName(BaseObject* object)
     {
-        if (this->eventName_ == "")
+        if (this->eventName_.empty())
             return;
 
Index: code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.cc
===================================================================
--- code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/objects/eventsystem/EventTarget.cc	(revision 6394)
@@ -60,5 +60,5 @@
         if (this->bActive_)
         {
-            COUT(2) << "Warning: Detected Event loop in EventTarget \"" << this->getName() << "\"" << std::endl;
+            COUT(2) << "Warning: Detected Event loop in EventTarget \"" << this->getName() << '"' << std::endl;
             return;
         }
@@ -80,5 +80,5 @@
     void EventTarget::loadedNewXMLName(BaseObject* object)
     {
-        if (this->target_ == "")
+        if (this->target_.empty())
             return;
 
Index: code/branches/presentation2/src/modules/objects/triggers/DistanceTrigger.cc
===================================================================
--- code/branches/presentation2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/objects/triggers/DistanceTrigger.cc	(revision 6394)
@@ -92,5 +92,5 @@
     if (!targetId)
     {
-        COUT(1) << "Error: \"" << targets << "\" is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ")" << std::endl;
+        COUT(1) << "Error: \"" << targets << "\" is not a valid class name to include in ClassTreeMask (in " << this->getName() << ", class " << this->getIdentifier()->getName() << ')' << std::endl;
         return;
     }
Index: code/branches/presentation2/src/modules/objects/triggers/Trigger.cc
===================================================================
--- code/branches/presentation2/src/modules/objects/triggers/Trigger.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/objects/triggers/Trigger.cc	(revision 6394)
@@ -280,11 +280,11 @@
   {
     if (this->mode_ == TriggerMode::EventTriggerAND)
-      return std::string("and");
+      return "and";
     else if (this->mode_ == TriggerMode::EventTriggerOR)
-      return std::string("or");
+      return "or";
     else if (this->mode_ == TriggerMode::EventTriggerXOR)
-      return std::string("xor");
+      return "xor";
     else
-      return std::string("and");
+      return "and";
   }
 
Index: code/branches/presentation2/src/modules/overlays/GUIOverlay.cc
===================================================================
--- code/branches/presentation2/src/modules/overlays/GUIOverlay.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/overlays/GUIOverlay.cc	(revision 6394)
@@ -69,8 +69,7 @@
         if (this->isVisible())
         {
-            std::string str;
-            std::stringstream out;
+            std::ostringstream out;
             out << reinterpret_cast<long>(this);
-            str = out.str();
+            const std::string& str = out.str();
             COUT(1) << "GUIManager ptr: " << str << std::endl;
             GUIManager::getInstance().showGUIExtra(this->guiName_, str);
Index: code/branches/presentation2/src/modules/overlays/OverlayText.cc
===================================================================
--- code/branches/presentation2/src/modules/overlays/OverlayText.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/overlays/OverlayText.cc	(revision 6394)
@@ -134,5 +134,5 @@
     void OverlayText::setFont(const std::string& font)
     {
-        if (font != "")
+        if (!font.empty())
             this->text_->setFontName(font);
     }
Index: code/branches/presentation2/src/modules/overlays/hud/HUDBar.cc
===================================================================
--- code/branches/presentation2/src/modules/overlays/hud/HUDBar.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/overlays/hud/HUDBar.cc	(revision 6394)
@@ -72,5 +72,5 @@
 
         // create new material
-        std::string materialname = "barmaterial" + multi_cast<std::string>(materialcount_s++);
+        const std::string& materialname = "barmaterial" + multi_cast<std::string>(materialcount_s++);
         Ogre::MaterialPtr material = static_cast<Ogre::MaterialPtr>(Ogre::MaterialManager::getSingleton().create(materialname, "General"));
         material->getTechnique(0)->getPass(0)->setSceneBlending(Ogre::SBT_TRANSPARENT_ALPHA);
Index: code/branches/presentation2/src/modules/overlays/hud/HUDHealthBar.h
===================================================================
--- code/branches/presentation2/src/modules/overlays/hud/HUDHealthBar.h	(revision 6389)
+++ code/branches/presentation2/src/modules/overlays/hud/HUDHealthBar.h	(revision 6394)
@@ -53,5 +53,5 @@
 
             inline void setTextFont(const std::string& font)
-                { if (font != "") { this->textoverlay_->setFont(font); } }
+                { if (!font.empty()) { this->textoverlay_->setFont(font); } }
             inline const std::string& getTextFont() const
                 { return this->textoverlay_->getFont(); }
Index: code/branches/presentation2/src/modules/overlays/hud/HUDNavigation.cc
===================================================================
--- code/branches/presentation2/src/modules/overlays/hud/HUDNavigation.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/overlays/hud/HUDNavigation.cc	(revision 6394)
@@ -36,5 +36,4 @@
 
 #include "util/Math.h"
-#include "util/StringUtils.h"
 #include "util/Convert.h"
 #include "core/CoreIncludes.h"
@@ -108,5 +107,5 @@
     void HUDNavigation::setFont(const std::string& font)
     {
-        if (this->navText_ && font != "")
+        if (this->navText_ && !font.empty())
             this->navText_->setFontName(font);
     }
Index: code/branches/presentation2/src/modules/overlays/hud/HUDRadar.cc
===================================================================
--- code/branches/presentation2/src/modules/overlays/hud/HUDRadar.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/overlays/hud/HUDRadar.cc	(revision 6394)
@@ -126,5 +126,5 @@
             panel = *itRadarDots_;
             ++itRadarDots_;
-            std::string materialName = TextureGenerator::getMaterialName(
+            const std::string& materialName = TextureGenerator::getMaterialName(
                 shapeMaterials_[object->getRadarObjectShape()], object->getRadarObjectColour());
             if (materialName != panel->getMaterialName())
Index: code/branches/presentation2/src/modules/overlays/hud/TeamBaseMatchScore.cc
===================================================================
--- code/branches/presentation2/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/overlays/hud/TeamBaseMatchScore.cc	(revision 6394)
@@ -71,9 +71,9 @@
         if (this->owner_)
         {
-            std::string bases1 = "(" + multi_cast<std::string>(this->owner_->getTeamBases(0)) + ")";
-            std::string bases2 = "(" + multi_cast<std::string>(this->owner_->getTeamBases(1)) + ")";
+            const std::string& bases1 = '(' + multi_cast<std::string>(this->owner_->getTeamBases(0)) + ')';
+            const std::string& bases2 = '(' + multi_cast<std::string>(this->owner_->getTeamBases(1)) + ')';
 
-            std::string score1 = multi_cast<std::string>(this->owner_->getTeamPoints(0));
-            std::string score2 = multi_cast<std::string>(this->owner_->getTeamPoints(1));
+            const std::string& score1 = multi_cast<std::string>(this->owner_->getTeamPoints(0));
+            const std::string& score2 = multi_cast<std::string>(this->owner_->getTeamPoints(1));
 
             std::string output1;
@@ -99,9 +99,9 @@
             }
 
-            std::string output = "";
+            std::string output;
             if (this->bShowBases_ || this->bShowScore_)
             {
                 if (this->bShowLeftTeam_ && this->bShowRightTeam_)
-                    output = output1 + ":" + output2;
+                    output = output1 + ':' + output2;
                 else if (this->bShowLeftTeam_ || this->bShowRightTeam_)
                     output = output1 + output2;
Index: code/branches/presentation2/src/modules/pong/PongScore.cc
===================================================================
--- code/branches/presentation2/src/modules/pong/PongScore.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/pong/PongScore.cc	(revision 6394)
@@ -77,6 +77,6 @@
             std::string name2;
 
-            std::string score1 = "0";
-            std::string score2 = "0";
+            std::string score1("0");
+            std::string score2("0");
 
             if (player1)
@@ -114,9 +114,9 @@
             }
 
-            std::string output = "PONG";
+            std::string output("PONG");
             if (this->bShowName_ || this->bShowScore_)
             {
                 if (this->bShowLeftPlayer_ && this->bShowRightPlayer_)
-                    output = output1 + ":" + output2;
+                    output = output1 + ':' + output2;
                 else if (this->bShowLeftPlayer_ || this->bShowRightPlayer_)
                     output = output1 + output2;
Index: code/branches/presentation2/src/modules/questsystem/QuestDescription.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestDescription.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/questsystem/QuestDescription.cc	(revision 6394)
@@ -50,7 +50,4 @@
     {
         RegisterObject(QuestDescription);
-
-        this->title_ = "";
-        this->description_ = "";
     }
 
@@ -94,8 +91,8 @@
     bool QuestDescription::notificationHelper(const std::string & item, const std::string & status) const
     {
-        std::string message = "";
+        std::string message;
         if(item == "hint")
         {
-            message = "You received a hint: '" + this->title_ + "'";
+            message = "You received a hint: '" + this->title_ + '\'';
         }
         else if(item == "quest")
@@ -103,13 +100,13 @@
             if(status == "start")
             {
-                message = "You received a new quest: '" + this->title_ + "'";
+                message = "You received a new quest: '" + this->title_ + '\'';
             }
             else if(status == "fail")
             {
-                message = "You failed the quest: '" + this->title_ + "'";
+                message = "You failed the quest: '" + this->title_ + '\'';
             }
             else if(status == "complete")
             {
-                message = "You successfully completed the quest: '" + this->title_ + "'";
+                message = "You successfully completed the quest: '" + this->title_ + '\'';
             }
             else
Index: code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/questsystem/QuestGUINode.cc	(revision 6394)
@@ -134,9 +134,9 @@
         if(this->window_ != NULL)
         {
-            buffer = (std::string)(this->window_->getName().c_str());
+            buffer = this->window_->getName().c_str();
         }
         else
         {
-            buffer = "";
+            buffer.erase();
         }
     }
@@ -187,5 +187,5 @@
                 CEGUI::Window* statusWindow = this->gui_->getWindowManager()->createWindow("TaharezLook/StaticText", stream.str());
                 window->addChildWindow(statusWindow);
-                std::string status = "";
+                std::string status;
                 if(quest->isActive(this->gui_->getPlayer()))
                 {
Index: code/branches/presentation2/src/modules/questsystem/QuestItem.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestItem.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/questsystem/QuestItem.cc	(revision 6394)
@@ -47,6 +47,4 @@
     {
         RegisterObject(QuestItem);
-
-        this->id_ = "";
     }
 
Index: code/branches/presentation2/src/modules/questsystem/QuestListener.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestListener.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/questsystem/QuestListener.cc	(revision 6394)
@@ -183,5 +183,5 @@
         {
             COUT(1) << "An unforseen, never to happen, Error has occurred. This is impossible!" << std::endl;
-        return "";
+            return "";
         }
     }
Index: code/branches/presentation2/src/modules/questsystem/QuestNotification.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/QuestNotification.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/questsystem/QuestNotification.cc	(revision 6394)
@@ -32,5 +32,5 @@
 namespace orxonox {
 
-    const std::string QuestNotification::SENDER = "questsystem";
+    const std::string QuestNotification::SENDER("questsystem");
 
     QuestNotification::QuestNotification(BaseObject* creator) : Notification(creator)
Index: code/branches/presentation2/src/modules/questsystem/notifications/Notification.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/notifications/Notification.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/questsystem/notifications/Notification.cc	(revision 6394)
@@ -75,5 +75,5 @@
     void Notification::initialize(void)
     {
-        this->message_ = "";
+        this->message_.clear();
         this->sender_ = NotificationManager::NONE;
         this->sent_ = false;
Index: code/branches/presentation2/src/modules/questsystem/notifications/NotificationManager.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/notifications/NotificationManager.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/questsystem/notifications/NotificationManager.cc	(revision 6394)
@@ -44,6 +44,6 @@
 {
 
-    const std::string NotificationManager::ALL = "all";
-    const std::string NotificationManager::NONE = "none";
+    const std::string NotificationManager::ALL("all");
+    const std::string NotificationManager::NONE("none");
 
     ManageScopedSingleton(NotificationManager, ScopeID::Root, false);
Index: code/branches/presentation2/src/modules/questsystem/notifications/NotificationQueue.cc
===================================================================
--- code/branches/presentation2/src/modules/questsystem/notifications/NotificationQueue.cc	(revision 6389)
+++ code/branches/presentation2/src/modules/questsystem/notifications/NotificationQueue.cc	(revision 6394)
@@ -46,7 +46,7 @@
     CreateFactory(NotificationQueue);
 
-    const std::string NotificationQueue::DEFAULT_FONT = "VeraMono";
-    const Vector2 NotificationQueue::DEFAULT_POSITION = Vector2(0.0,0.0);
-    const float NotificationQueue::DEFAULT_FONT_SIZE  = 0.025f;
+    const std::string NotificationQueue::DEFAULT_FONT("VeraMono");
+    const Vector2 NotificationQueue::DEFAULT_POSITION(0.0,0.0);
+    const float NotificationQueue::DEFAULT_FONT_SIZE = 0.025f;
 
     /**
@@ -271,5 +271,5 @@
             if(!first)
             {
-                *string += ",";
+                *string += ',';
             }
             else
@@ -300,5 +300,5 @@
         while( index < targets.size() ) //!< Go through the string, character by character until the end is reached.
         {
-            pTemp = new std::string("");
+            pTemp = new std::string();
             while(index < targets.size() && targets[index] != ',' && targets[index] != ' ')
             {
@@ -399,5 +399,5 @@
         std::ostringstream stream;
         stream << reinterpret_cast<unsigned long>(notification);
-        std::string addressString = stream.str() ;
+        const std::string& addressString = stream.str();
         container->name = "NotificationOverlay(" + timeString + ")&" + addressString;
 
